# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate nettle-sys

Name:           rust-%{crate}
Version:        2.0.8
Release:        2%{?dist}
Summary:        Low-level Rust bindings for the Nettle cryptographic library

# Upstream license specification: LGPL-3.0/GPL-2.0/GPL-3.0
License:        LGPLv3 or GPLv2 or GPLv3
URL:            https://crates.io/crates/nettle-sys
Source:         %{crates_source}
# Initial patched metadata
# * drop runtime bindgen feature
Patch0:         nettle-sys-fix-metadata.diff
# * drop two elliptic curves that are disabled in nettle in Fedora:
#   - nettle_get_secp_192r1
#   - nettle_get_secp_224r1
Patch1:         0001-build-drop-unavailable-ECC-functions.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Low-level Rust bindings for the Nettle cryptographic library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(nettle)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-GPL2 LICENSE-GPL3 LICENSE-LGPL3
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(nettle)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.8-1
- Update to version 2.0.8.
- Fixes RHBZ#1968419

* Sat May 22 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.7-1
- Update to version 2.0.7.
- Fixes RHBZ#1955146

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.6-1
- Initial package
